import java.util.Scanner;

public class Sudoku{
	
	static int[][] matrizSudoku = new int[9][9];

	public static void main( String[] args ) {

		Scanner in = new Scanner( System.in );
		
		int casosTeste = in.nextInt();
 	
 		int cont = 1;

		while (casosTeste-->0) {
			for (int i = 0; i < 9; i++){
				for (int j = 0; j < 9; j++){
					matrizSudoku[i][j] = in.nextInt();
				}				
			}

 			if(verificaMatriz()){
 				System.out.println ("Sudoku "+cont+": Correto!");
 			}else{
 				System.out.println ("Sudoku "+cont+": Incorreto!");	
 			}
 			cont++;	
		}
	}

	static boolean verificaMatriz(){
		
		for(int indice=1; indice < 10; indice++){
			// verifica a existência de todos os indíces em cada linha
			for(int linha = 0; linha < 9; linha++){
				boolean temIndice = false;
				for(int coluna = 0; coluna < 9; coluna++){
					if(matrizSudoku[linha][coluna] == indice){
						temIndice = true;
						break;	
					} 
				}
				if(!temIndice) return false;
			}
			// verifica a existência de todos os indíces em cada coluna
			for(int coluna = 0; coluna < 9; coluna++){
				boolean temIndice = false;
				for(int linha = 0; linha < 9; linha++){
					if(matrizSudoku[linha][coluna] == indice){
						temIndice = true;
						break;	
					} 
				}
				if(!temIndice) return false;
			}
			// verifica a existência de todos os indíces em cada região
			for(int coluna = 0; coluna < 3; coluna++){
				boolean temIndice = false;
				for(int linha = 0; linha < 3; linha++){
					if(matrizSudoku[linha][coluna] == indice){
						temIndice = true;
					}
					if(matrizSudoku[linha][coluna+3] == indice){
						temIndice = true;
					}  
					if(matrizSudoku[linha][coluna+6] == indice){
						temIndice = true;
					} 
					if(matrizSudoku[linha+3][coluna] == indice){
						temIndice = true;
					} 
					if(matrizSudoku[linha+3][coluna+3] == indice){
						temIndice = true;
					} 
					if(matrizSudoku[linha+3][coluna+6] == indice){
						temIndice = true;
					} 
					if(matrizSudoku[linha+6][coluna] == indice){
						temIndice = true;
					} 
					if(matrizSudoku[linha+6][coluna+3] == indice){
						temIndice = true;
					} 
					if(matrizSudoku[linha+6][coluna+6] == indice){
						temIndice = true;
					} 
				}
				if(!temIndice) return false;
			}
		}
		return true;
	}
}
